#!	/bin/bash
#
# Fichier:      java-wrapper.sh
# Auteur:       Herve Pinvidic - DSIN
# Date:         05/01/2017
# Modification: 06/01/2017
# Version:      1.02
# Description:  Correctif Java pour Ubuntu 16.04 64bits (icedtea/openjdk 1.8 et +) pour l'utilisation 
#		de Nomade client lourd
#
#------------------------------------------------------------------------------------------------------
# 1.01		fichier java-wrapper.sh à installer dans /usr/local/bin/java-wrapper
# 		sudo update-alternatives --install /usr/bin/java java /usr/local/bin/java-wrapper 1082
# 		sudo update-alternatives --config java
# 1.02		correction : recherche de la meilleure version java 32 bits dans /usr/lib/jvm ou /usr/local
#------------------------------------------------------------------------------------------------------

D32=""
VERSION=""

TMP=/tmp/search-java.$$

for j in `find /usr/lib/jvm/java-?-openjdk*/jre/bin /usr/java /usr/local -name java | grep 86`
do
	v=`$j -version 2>&1 | egrep "java version|openjdk version" | cut -d '"' -f 2`
	echo "$v $j" >> $TMP
done

JAVA=`sort -n $TMP | tail -1 | awk '{print $2}'`

/bin/rm -f $TMP

if [ -z "$JAVA" -o ! -x "$JAVA" ]; then
	echo "Le programme JAVA $JAVA est absent ou non executable. Corriger le script $0 pour utiliser un programme JAVA 32bits."
	exit 1
fi


for arg in $*
do
	case $arg in
	-d32)		D32='-d32'		;;
	-version)	VERSION='-version'	;;
	*)		ARGV="$ARGV $arg"	;;
	esac
done

if [ ! -z "$D32" -a ! -z "$VERSION" ]; then
	$JAVA -d32 -version 2>&1 | sed -e 's/^openjdk/java/'
	exit 0
fi

$JAVA $*

